## photocollage 1.4.8

=== data/icons/Makefile ===
# Original workspace files in the 'src' dir (not in the git repo)

# Inkscape fails to convert SVG to small PNG (it omits parts of the image).
# For this reason, we create a big PNG, then convert it to smaller ones.

SRC = hicolor/scalable/apps/photocollage.svg
BIG = hicolor/256x256/apps/photocollage.png
SMALL := $(shell for s in 16 22 24 32 48 64 128; do \
	echo hicolor/$${s}x$${s}/apps/photocollage.png; done)

all: $(BIG) $(SMALL)

$(BIG): $(SRC)
	$(eval SIZE := $(shell echo $@ | cut -d/ -f2))
	@echo "  SVG -> PNG  $(SIZE)"
	@mkdir -p $(shell dirname $@)
	@inkscape -z -e $@ -w 256 -h 256 $< >/dev/null

$(SMALL): $(BIG)
	$(eval SIZE := $(shell echo $@ | cut -d/ -f2))
	@echo "  PNG -> PNG  $(SIZE)"
	@mkdir -p $(shell dirname $@)
	@convert $< -resize $(SIZE) $@

.PHONY: clean
clean:
	rm -f $(BIG) $(SMALL)

## photocollage 1.4.3

=== debian/changelog ===
photocollage (1.4.3-2.1ubuntu1) focal; urgency=medium

  * Build-depend on dh-python to fix FTBFS due to missing python3.pm.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Apr 2020 22:26:53 -0400

photocollage (1.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on gir1.2-gtk-3.0. (Closes: #914440)

 -- Adrian Bunk <bunk@debian.org>  Fri, 21 Dec 2018 23:49:53 +0200

photocollage (1.4.3-2) unstable; urgency=medium

  * Add missing 'python3-six' to dependencies

 -- Adrien Vergé <adrienverge@gmail.com>  Thu, 22 Dec 2016 21:13:40 +0100

photocollage (1.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #820377)

 -- Adrien Vergé <adrienverge@gmail.com>  Thu, 07 Apr 2016 19:59:38 +0200

=== debian/control ===
Source: photocollage
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adrien Vergé <adrienverge@gmail.com>
Build-Depends:
 debhelper (>=9),
 dh-python,
 gettext,
 python3-all,
Standards-Version: 3.9.8
Homepage: https://github.com/adrienverge/PhotoCollage

Package: photocollage
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-gi-cairo,
 gir1.2-gtk-3.0,
 python3-six,
Description: Graphical tool to make photo collage posters
 PhotoCollage allows you to create photo collage posters. It assembles
 the input photographs it is given to generate a big poster. Photos are
 automatically arranged to fill the whole poster, then you can change the
 final layout, dimensions, border or swap photos in the generated grid.
 Eventually the final poster image can be saved in any size.

=== debian/watch ===
# watch control file for uscan
version=3
https://pypi.debian.net/photocollage .*/photocollage-(\d\S*)\.tar\.gz

## photocollage 1.4.4

=== debian/changelog ===
photocollage (1.4.4-0mx15+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Nov 2017 14:43:40 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: photocollage
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Adrien Vergé <adrienverge@gmail.com>
 Build-Depends:
  debhelper (>=9),
- dh-python,
  gettext,
  python3-all,
 Standards-Version: 3.9.8
@@ -17,7 +17,6 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-gi-cairo,
- gir1.2-gtk-3.0,
  python3-six,
 Description: Graphical tool to make photo collage posters
  PhotoCollage allows you to create photo collage posters. It assembles

## photocollage 1.4.5

=== debian/changelog ===
photocollage (1.4.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * remove obsolete dependency on python3-six (Closes: #1054275)
  * set Rules-Requires-Root: no
  * fix appdata location & format

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jan 2024 05:23:33 +0100

photocollage (1.4.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.4.5.
  * Bump Standards-Version to 4.6.0.
  * Bump debhelper compat to v13.
  * debian/control: Add Vcs-* fields to use git packaging repo on
    Salsa Debian GitLab.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Sep 2021 09:51:44 -0400

photocollage (1.4.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-dependency dh-python. (Closes: #952336)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jan 2021 10:18:47 -0500

=== debian/control ===
Source: photocollage
Section: graphics
Priority: optional
Maintainer: Adrien Vergé <adrienverge@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 dh-sequence-python3,
 python3-all,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/adrienverge/PhotoCollage
Vcs-Git: https://salsa.debian.org/debian/photocollage.git
Vcs-Browser: https://salsa.debian.org/debian/photocollage

Package: photocollage
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-gi-cairo,
 gir1.2-gtk-3.0,
Description: Graphical tool to make photo collage posters
 PhotoCollage allows you to create photo collage posters. It assembles
 the input photographs it is given to generate a big poster. Photos are
 automatically arranged to fill the whole poster, then you can change the
 final layout, dimensions, border or swap photos in the generated grid.
 Eventually the final poster image can be saved in any size.

## photocollage 1.4.7

=== debian/changelog ===
photocollage (1.4.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.4.7 (Closes: #1077437)
  * Update watch file, pypi is outdated

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Aug 2024 19:12:16 +0200

## photocollage 1.4.8

=== debian/changelog ===
photocollage (1.4.8-0.1) unstable; urgency=medium

  * New upstream version 1.4.8
  * Add dependency on python3-setuptools (Closes: #1080700)
  * Enable tests with pytest
  * Enable autopkgtest-pkg-pybuild

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 14:02:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
  gettext,
  dh-sequence-python3,
  python3-all,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
 Standards-Version: 4.6.0
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/adrienverge/PhotoCollage
 Vcs-Git: https://salsa.debian.org/debian/photocollage.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/adrienverge/PhotoCollage/tags .*/v(\d\S*)\.tar\.gz
